#include "macros.edc"

externals.external: "elm";

// theme api version. from 1.10 on we will check version to avoid
// compat issues
data.item: "version" "110";

collections {
#include "fonts.edc"
#include "colorclasses.edc"

// elm
#include "edc/elm/bg.edc"
#include "edc/elm/button.edc"
#include "edc/elm/nstate.edc"
// XXX: mobile mode needs invisible scrollers... make signals that do this
#include "edc/elm/scroller.edc"
// XXX: mobile mode needs different entry setup
#include "edc/elm/entry.edc"
#include "edc/elm/frame.edc"
#include "edc/elm/label.edc"
#include "edc/elm/separator.edc"
#include "edc/elm/check.edc"
#include "edc/elm/slider.edc"
#include "edc/elm/radio.edc"
#include "edc/elm/bubble.edc"
#include "edc/elm/panes.edc"
#include "edc/elm/toolbar.edc"
#include "edc/elm/genlist.edc"
#include "edc/elm/list.edc"
#include "edc/elm/conform.edc"
#include "edc/elm/icon.edc"
#include "edc/elm/icon_fdo.edc"
#include "edc/elm/video.edc"
#include "edc/elm/access.edc"
#include "edc/elm/photo.edc"
#include "edc/elm/focus.edc"
#include "edc/elm/datetime.edc"
#include "edc/elm/player.edc"
#include "edc/elm/thumb.edc"
#include "edc/elm/pointer.edc"
#include "edc/elm/fileselector.edc"
#include "edc/elm/win.edc"
#include "edc/elm/inwin.edc"
#include "edc/elm/slideshow.edc"
#include "edc/elm/diskselector.edc"
#include "edc/elm/ctxpopup.edc"
#include "edc/elm/multibuttonentry.edc"
#include "edc/elm/dayselector.edc"
#include "edc/elm/actionslider.edc"
#include "edc/elm/photocam.edc"
#include "edc/elm/tooltip.edc"
#include "edc/elm/colorsel.edc"
#include "edc/elm/colorclass.edc"
#include "edc/elm/segment_control.edc"
#include "edc/elm/flipselector.edc"
#include "edc/elm/notify.edc"
#include "edc/elm/map.edc"
#include "edc/elm/index.edc"
#include "edc/elm/calendar.edc"
#include "edc/elm/layout.edc"
#include "edc/elm/progress.edc"
#include "edc/elm/naviframe.edc"
#include "edc/elm/panel.edc"
#include "edc/elm/popup.edc"
#include "edc/elm/border.edc"
// XXX: min size calc problems - too wide! ... err ok on my 32bit box... eh?
#include "edc/elm/spinner.edc"
#include "edc/elm/menu.edc"
#include "edc/elm/clock.edc"
#include "edc/elm/gengrid.edc"
#include "edc/elm/hover.edc"
#include "edc/elm/cursor.edc"
#include "edc/elm/code.edc"

// desktop in general
#include "edc/wallpaper.edc"
#include "edc/comp.edc"
#include "edc/comp_compat.edc"
#include "edc/comp_effects.edc"
#include "edc/background.edc"
#include "edc/bryce.edc"
#include "edc/bryce_editor.edc"
#include "edc/shelf.edc"
#include "edc/border.edc"
#include "edc/dialog.edc"
#include "edc/conf.edc"
#include "edc/gadman.edc"
#include "edc/syscon.edc"
#include "edc/pointer.edc"
#include "edc/sys.edc"
#include "edc/winlist.edc"
#include "edc/desklock.edc"
#include "edc/deskmirror.edc"
#include "edc/wizard.edc"
#include "edc/init.edc"
#include "edc/about-e.edc"
#include "edc/about-theme.edc"
#include "edc/transitions.edc"

// widgets
#include "edc/menu.edc"
#include "edc/button.edc"
#include "edc/check.edc"
#include "edc/radio.edc"
#include "edc/label.edc"
#include "edc/frame.edc"
#include "edc/slider.edc"
#include "edc/scrollframe.edc"
#include "edc/textblock.edc"
#include "edc/ilist.edc"
#include "edc/toolbar.edc"
#include "edc/preview.edc"
#include "edc/deskpreview.edc"
#include "edc/entry.edc"
#include "edc/fileman.edc"
#include "edc/colorwell.edc"
#include "edc/fontpreview.edc"
#include "edc/cslider.edc"
#include "edc/spectrum.edc"

// modules
#include "edc/start.edc"
#include "edc/pager.edc"
#include "edc/pager16.edc"
#include "edc/xkbswitch.edc"
#include "edc/tasks.edc"
#include "edc/connman.edc"
#include "edc/music_control.edc"
#include "edc/systray.edc"
#include "edc/appmenu.edc"
#include "edc/clock.edc"
#include "edc/ibar-ibox.edc"
#include "edc/colors.edc"
#include "edc/edgebindings.edc"
#include "edc/randr.edc"
#include "edc/notification.edc"
#include "edc/cpufreq.edc"
#include "edc/temperature.edc"
#include "edc/backlight.edc"
#include "edc/mixer.edc"
#include "edc/battery.edc"
#include "edc/evrything.edc"
#include "edc/illume.edc"
#include "edc/bluez4.edc"
#include "edc/packagekit.edc"
#include "edc/wireless.edc"
#include "edc/time.edc"

// icons
#include "edc/icons.edc"
#include "edc/border-icons.edc"

// port unchanged stuff so this can work as a replacement
#include "edc/O/efm_icons.edc"
#include "edc/O/icons.edc"
}
